Index: src/Actions/MoleculeAction/BondFileAction.def
===================================================================
--- src/Actions/MoleculeAction/BondFileAction.def	(revision 23958dd80ccf15c9c0392965d2c6f255f8f82917)
+++ src/Actions/MoleculeAction/BondFileAction.def	(revision 6ba9ba23b3e342adcb94de069426dcdba8359702)
@@ -14,9 +14,9 @@
 // i.e. there is an integer with variable name Z that can be found in
 // ValueStorage by the token "Z" -> first column: int, Z, "Z"
-// "undefine" if no parameters are required, use (NODEFAULT) for each (undefined) default value
+// "undefine" if no parameters are required, use (NOPARAM_DEFAULT) for each (undefined) default value
 #define paramtypes (boost::filesystem::path)(unsigned int)(unsigned int)
 #define paramtokens ("bond-file")("skiplines")("offset")
 #define paramdescriptions ("name of the bond file")("number of header lines to skip")("offset to add to each id")
-#define paramdefaults (NODEFAULT)("1")("0")
+#define paramdefaults (NOPARAM_DEFAULT)(PARAM_DEFAULT(1))(PARAM_DEFAULT(0))
 #define paramreferences (bondfile)(skiplines)(id_offset)
 #define paramvalids \
Index: src/Actions/MoleculeAction/ChangeNameAction.def
===================================================================
--- src/Actions/MoleculeAction/ChangeNameAction.def	(revision 23958dd80ccf15c9c0392965d2c6f255f8f82917)
+++ src/Actions/MoleculeAction/ChangeNameAction.def	(revision 6ba9ba23b3e342adcb94de069426dcdba8359702)
@@ -13,5 +13,5 @@
 // i.e. there is an integer with variable name Z that can be found in
 // ValueStorage by the token "Z" -> first column: int, Z, "Z"
-// "undefine" if no parameters are required, use (NODEFAULT) for each (undefined) default value
+// "undefine" if no parameters are required, use (NOPARAM_DEFAULT) for each (undefined) default value
 #define paramtypes (std::string)
 #define paramtokens ("change-molname")
Index: src/Actions/MoleculeAction/CopyAction.def
===================================================================
--- src/Actions/MoleculeAction/CopyAction.def	(revision 23958dd80ccf15c9c0392965d2c6f255f8f82917)
+++ src/Actions/MoleculeAction/CopyAction.def	(revision 6ba9ba23b3e342adcb94de069426dcdba8359702)
@@ -13,5 +13,5 @@
 // i.e. there is an integer with variable name Z that can be found in
 // ValueStorage by the token "Z" -> first column: int, Z, "Z"
-// "undefine" if no parameters are required, use (NODEFAULT) for each (undefined) default value
+// "undefine" if no parameters are required, use (NOPARAM_DEFAULT) for each (undefined) default value
 #define paramtypes (Vector)
 #define paramtokens ("position")
Index: src/Actions/MoleculeAction/FillVoidWithMoleculeAction.def
===================================================================
--- src/Actions/MoleculeAction/FillVoidWithMoleculeAction.def	(revision 23958dd80ccf15c9c0392965d2c6f255f8f82917)
+++ src/Actions/MoleculeAction/FillVoidWithMoleculeAction.def	(revision 6ba9ba23b3e342adcb94de069426dcdba8359702)
@@ -19,9 +19,9 @@
 // i.e. there is an integer with variable name Z that can be found in
 // ValueStorage by the token "Z" -> first column: int, Z, "Z"
-// "undefine" if no parameters are required, use (NODEFAULT) for each (undefined) default value
+// "undefine" if no parameters are required, use (NOPARAM_DEFAULT) for each (undefined) default value
 #define paramtypes (boost::filesystem::path)(Vector)(double)(double)(double)(double)(bool)
 #define paramtokens ("fill-void")("distances")("distance-to-molecule")("random-atom-displacement")("random-molecule-displacement")("distance-to-boundary")("DoRotate")
 #define paramdescriptions ("name of xyz file of filler molecule")("list of three of distances in space, one for each axis direction")("minimum distance to present molecules")("magnitude of random atom displacement")("magnitude of random molecule displacement")("minimum distance to boundary")("whether to rotate or not")
-#define paramdefaults (NODEFAULT)(NODEFAULT)("0.")("0.")("0.")("0.")("0")
+#define paramdefaults (NOPARAM_DEFAULT)(NOPARAM_DEFAULT)(PARAM_DEFAULT(0.))(PARAM_DEFAULT(0.))(PARAM_DEFAULT(0.))(PARAM_DEFAULT(0.))(PARAM_DEFAULT(false))
 #define paramreferences (fillername)(distances)(boundary)(RandAtomDisplacement)(RandMoleculeDisplacement)(MinDistance)(DoRotate)
 #define paramvalids \
Index: src/Actions/MoleculeAction/FillWithMoleculeAction.def
===================================================================
--- src/Actions/MoleculeAction/FillWithMoleculeAction.def	(revision 23958dd80ccf15c9c0392965d2c6f255f8f82917)
+++ src/Actions/MoleculeAction/FillWithMoleculeAction.def	(revision 6ba9ba23b3e342adcb94de069426dcdba8359702)
@@ -22,9 +22,9 @@
 // i.e. there is an integer with variable name Z that can be found in
 // ValueStorage by the token "Z" -> first column: int, Z, "Z"
-// "undefine" if no parameters are required, use (NODEFAULT) for each (undefined) default value
+// "undefine" if no parameters are required, use (NOPARAM_DEFAULT) for each (undefined) default value
 #define paramtypes (boost::filesystem::path)(Vector)(double)(double)(double)(double)(bool)
 #define paramtokens ("fill-molecule")("distances")("distance-to-molecule")("random-atom-displacement")("random-molecule-displacement")("MaxDistance")("DoRotate")
 #define paramdescriptions ("name of xyz file of filler molecule")("list of three of distances in space, one for each axis direction")("minimum distance to present molecules")("magnitude of random atom displacement")("magnitude of random molecule displacement")("maximum spatial distance")("whether to rotate or not")
-#define paramdefaults (NODEFAULT)(NODEFAULT)("0.")("0.")("0.")("0.")("0")
+#define paramdefaults (NOPARAM_DEFAULT)(NOPARAM_DEFAULT)(PARAM_DEFAULT(0.))(PARAM_DEFAULT(0.))(PARAM_DEFAULT(0.))(PARAM_DEFAULT(0.))(PARAM_DEFAULT(false))
 #define paramreferences (fillername)(distances)(boundary)(RandAtomDisplacement)(RandMoleculeDisplacement)(MaxDistance)(DoRotate)
 #define paramvalids \
Index: src/Actions/MoleculeAction/LinearInterpolationofTrajectoriesAction.def
===================================================================
--- src/Actions/MoleculeAction/LinearInterpolationofTrajectoriesAction.def	(revision 23958dd80ccf15c9c0392965d2c6f255f8f82917)
+++ src/Actions/MoleculeAction/LinearInterpolationofTrajectoriesAction.def	(revision 6ba9ba23b3e342adcb94de069426dcdba8359702)
@@ -14,5 +14,5 @@
 // i.e. there is an integer with variable name Z that can be found in
 // ValueStorage by the token "Z" -> first column: int, Z, "Z"
-// "undefine" if no parameters are required, use (NODEFAULT) for each (undefined) default value
+// "undefine" if no parameters are required, use (NOPARAM_DEFAULT) for each (undefined) default value
 #define paramtypes (unsigned int)(unsigned int)(unsigned int)(bool)
 #define paramtokens ("start-step")("interpolation-steps")("end-step")("id-mapping")
Index: src/Actions/MoleculeAction/LoadAction.def
===================================================================
--- src/Actions/MoleculeAction/LoadAction.def	(revision 23958dd80ccf15c9c0392965d2c6f255f8f82917)
+++ src/Actions/MoleculeAction/LoadAction.def	(revision 6ba9ba23b3e342adcb94de069426dcdba8359702)
@@ -17,5 +17,5 @@
 // i.e. there is an integer with variable name Z that can be found in
 // ValueStorage by the token "Z" -> first column: int, Z, "Z"
-// "undefine" if no parameters are required, use (NODEFAULT) for each (undefined) default value
+// "undefine" if no parameters are required, use (NOPARAM_DEFAULT) for each (undefined) default value
 #define paramtypes (boost::filesystem::path)
 #define paramtokens ("load")
Index: src/Actions/MoleculeAction/RotateAroundSelfByAngleAction.def
===================================================================
--- src/Actions/MoleculeAction/RotateAroundSelfByAngleAction.def	(revision 23958dd80ccf15c9c0392965d2c6f255f8f82917)
+++ src/Actions/MoleculeAction/RotateAroundSelfByAngleAction.def	(revision 6ba9ba23b3e342adcb94de069426dcdba8359702)
@@ -15,5 +15,5 @@
 // i.e. there is an integer with variable name Z that can be found in
 // ValueStorage by the token "Z" -> first column: int, Z, "Z"
-// "undefine" if no parameters are required, use (NODEFAULT) for each (undefined) default value
+// "undefine" if no parameters are required, use (NOPARAM_DEFAULT) for each (undefined) default value
 #define paramtypes (double)(Vector)
 #define paramtokens ("rotate-around-self")("axis")
Index: src/Actions/MoleculeAction/RotateToPrincipalAxisSystemAction.def
===================================================================
--- src/Actions/MoleculeAction/RotateToPrincipalAxisSystemAction.def	(revision 23958dd80ccf15c9c0392965d2c6f255f8f82917)
+++ src/Actions/MoleculeAction/RotateToPrincipalAxisSystemAction.def	(revision 6ba9ba23b3e342adcb94de069426dcdba8359702)
@@ -16,5 +16,5 @@
 // i.e. there is an integer with variable name Z that can be found in
 // ValueStorage by the token "Z" -> first column: int, Z, "Z"
-// "undefine" if no parameters are required, use (NODEFAULT) for each (undefined) default value
+// "undefine" if no parameters are required, use (NOPARAM_DEFAULT) for each (undefined) default value
 #define paramtypes (Vector)
 #define paramtokens ("rotate-to-principal-axis-system")
Index: src/Actions/MoleculeAction/SaveAdjacencyAction.def
===================================================================
--- src/Actions/MoleculeAction/SaveAdjacencyAction.def	(revision 23958dd80ccf15c9c0392965d2c6f255f8f82917)
+++ src/Actions/MoleculeAction/SaveAdjacencyAction.def	(revision 6ba9ba23b3e342adcb94de069426dcdba8359702)
@@ -14,5 +14,5 @@
 // i.e. there is an integer with variable name Z that can be found in
 // ValueStorage by the token "Z" -> first column: int, Z, "Z"
-// "undefine" if no parameters are required, use (NODEFAULT) for each (undefined) default value
+// "undefine" if no parameters are required, use (NOPARAM_DEFAULT) for each (undefined) default value
 #define paramtypes (boost::filesystem::path)
 #define paramtokens ("save-adjacency")
Index: src/Actions/MoleculeAction/SaveBondsAction.def
===================================================================
--- src/Actions/MoleculeAction/SaveBondsAction.def	(revision 23958dd80ccf15c9c0392965d2c6f255f8f82917)
+++ src/Actions/MoleculeAction/SaveBondsAction.def	(revision 6ba9ba23b3e342adcb94de069426dcdba8359702)
@@ -14,5 +14,5 @@
 // i.e. there is an integer with variable name Z that can be found in
 // ValueStorage by the token "Z" -> first column: int, Z, "Z"
-// "undefine" if no parameters are required, use (NODEFAULT) for each (undefined) default value
+// "undefine" if no parameters are required, use (NOPARAM_DEFAULT) for each (undefined) default value
 #define paramtypes (boost::filesystem::path)
 #define paramtokens ("save-bonds")
Index: src/Actions/MoleculeAction/SaveSelectedMoleculesAction.def
===================================================================
--- src/Actions/MoleculeAction/SaveSelectedMoleculesAction.def	(revision 23958dd80ccf15c9c0392965d2c6f255f8f82917)
+++ src/Actions/MoleculeAction/SaveSelectedMoleculesAction.def	(revision 6ba9ba23b3e342adcb94de069426dcdba8359702)
@@ -15,5 +15,5 @@
 // i.e. there is an integer with variable name Z that can be found in
 // ValueStorage by the token "Z" -> first column: int, Z, "Z"
-// "undefine" if no parameters are required, use (NODEFAULT) for each (undefined) default value
+// "undefine" if no parameters are required, use (NOPARAM_DEFAULT) for each (undefined) default value
 #define paramtypes (boost::filesystem::path)
 #define paramtokens ("save-selected-molecules")
Index: src/Actions/MoleculeAction/SaveTemperatureAction.def
===================================================================
--- src/Actions/MoleculeAction/SaveTemperatureAction.def	(revision 23958dd80ccf15c9c0392965d2c6f255f8f82917)
+++ src/Actions/MoleculeAction/SaveTemperatureAction.def	(revision 6ba9ba23b3e342adcb94de069426dcdba8359702)
@@ -14,5 +14,5 @@
 // i.e. there is an integer with variable name Z that can be found in
 // ValueStorage by the token "Z" -> first column: int, Z, "Z"
-// "undefine" if no parameters are required, use (NODEFAULT) for each (undefined) default value
+// "undefine" if no parameters are required, use (NOPARAM_DEFAULT) for each (undefined) default value
 #define paramtypes (boost::filesystem::path)
 #define paramtokens ("save-temperature")
Index: src/Actions/MoleculeAction/SuspendInWaterAction.def
===================================================================
--- src/Actions/MoleculeAction/SuspendInWaterAction.def	(revision 23958dd80ccf15c9c0392965d2c6f255f8f82917)
+++ src/Actions/MoleculeAction/SuspendInWaterAction.def	(revision 6ba9ba23b3e342adcb94de069426dcdba8359702)
@@ -13,5 +13,5 @@
 // i.e. there is an integer with variable name Z that can be found in
 // ValueStorage by the token "Z" -> first column: int, Z, "Z"
-// "undefine" if no parameters are required, use (NODEFAULT) for each (undefined) default value
+// "undefine" if no parameters are required, use (NOPARAM_DEFAULT) for each (undefined) default value
 #define paramtypes (double)
 #define paramtokens ("suspend-in-water")
Index: src/Actions/MoleculeAction/VerletIntegrationAction.def
===================================================================
--- src/Actions/MoleculeAction/VerletIntegrationAction.def	(revision 23958dd80ccf15c9c0392965d2c6f255f8f82917)
+++ src/Actions/MoleculeAction/VerletIntegrationAction.def	(revision 6ba9ba23b3e342adcb94de069426dcdba8359702)
@@ -15,5 +15,5 @@
 // i.e. there is an integer with variable name Z that can be found in
 // ValueStorage by the token "Z" -> first column: int, Z, "Z"
-// "undefine" if no parameters are required, use (NODEFAULT) for each (undefined) default value
+// "undefine" if no parameters are required, use (NOPARAM_DEFAULT) for each (undefined) default value
 #define paramtypes (boost::filesystem::path)(double)(unsigned int)(bool)
 #define paramtokens ("verlet-integration")("deltat")("MDSteps")("keep-fixed-CenterOfMass")
